using APT.Infrastructure.Core;
using APT.BaseData.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using APT.MS.Domain.Entities.CM;
using APT.MS.Domain.Enums;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 应急演练活动评估项目
    /// </summary>
    [Description("应急演练活动评估项目")]
    public class T_CM_DRILL_ESTIMATE_RECORD : MesEntityBase
    {
        /// <summary>
        /// 应急演练评估编号
        /// </summary>
        [Description("应急演练评估编号")]
        [DataFieldForeignKey("Nav_Estimate", "Nav_ListEstimateRecord")]
        public Guid ESTIMEATE_ID { get; set; }

        /// <summary>
        /// 导航属性：应急演练评估
        /// </summary>
        [Description(" 导航属性：应急演练评估")]
        public virtual T_CM_DRILL_ESTIMATE Nav_Estimate { get; set; }


        /// <summary>
        /// 评估项目
        /// </summary>
        [Description("评估项目")]
        [DataFieldForeignKey("Nav_Item")]
        public Guid ITEM_ID { get; set; }

        /// <summary>
        /// 导航属性：评估项目
        /// </summary>
        [Description("导航属性：评估项目")]
        [FormFieldEdit]
        public virtual T_CM_DRILL_ESTIMATE_ITEM_TYPE Nav_Item { get; set; }

        /// <summary>
        /// 评分
        /// </summary>
        [Description("评分")]
        [FormFieldEdit]
        public CMEvaluateStatusEnum? SCORE { get; set; }

        /// <summary>
        /// 建议
        /// </summary>
        [Description("建议")]
        [FormFieldEdit]
        [DataFieldLength(300)]
        public string ADVISE { get; set; }

    }
}
